C2BConverter (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.buf

## Class C2BConverter

- java.lang.Object
- - org.apache.tomcat.util.buf.C2BConverter

-     public final class C2BConverter
      extends Object

  NIO based character encoder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C2BConverter(Charset charset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convert(CharBuffer cc, ByteBuffer bc)` Convert the given characters to bytes.
    `void` | `convert(CharChunk cc, ByteChunk bc)` Convert the given characters to bytes.
    `Charset` | `getCharset()`
    `boolean` | `isUndeflow()`
    `void` | `recycle()` Reset the encoder state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### C2BConverter

          public C2BConverter(Charset charset)

  - ### Method Detail

    - #### recycle

          public void recycle()

      Reset the encoder state.

    - #### isUndeflow

          public boolean isUndeflow()

    - #### convert

          public void convert(CharChunk cc,
                              ByteChunk bc)
                       throws IOException

      Convert the given characters to bytes.
      Parameters:
        `cc` - char input
        `bc` - byte output
      Throws:
        `IOException` - An encoding error occurred

    - #### convert

          public void convert(CharBuffer cc,
                              ByteBuffer bc)
                       throws IOException

      Convert the given characters to bytes.
      Parameters:
        `cc` - char input
        `bc` - byte output
      Throws:
        `IOException` - An encoding error occurred

    - #### getCharset

          public Charset getCharset()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.